# gcu::Value Class Reference

`#include <gcu/value.h>`

Inheritance diagram for gcu::Value:

List of all members.

## Public Member Functions
| Value ()
virtual | ~Value ()
virtual char const * | GetAsString () const
virtual double | GetAsDouble () const

## Detailed Description

Base class used for data storing.

Definition at line 38 of file value.h.

## Constructor & Destructor Documentation

gcu::Value::Value | ( |  | ) |

Default constructor

virtual gcu::Value::~Value | ( |  | ) | `[virtual]`

Default destructor

## Member Function Documentation

virtual char const* gcu::Value::GetAsString | ( |  | ) | const`[virtual]`

Returns:
  the value representation as a string.

Reimplemented in gcu::SimpleValue, gcu::DimensionalValue, gcu::StringValue, and gcu::LocalizedStringValue.

virtual double gcu::Value::GetAsDouble | ( |  | ) | const`[virtual]`

Returns:
  the value representation as a double or 0. if not a numeric value.

Reimplemented in gcu::SimpleValue, and gcu::DimensionalValue.

The documentation for this class was generated from the following file:

- value.h